Subject: Re: [PATCH] t/lib-httpd: pass PERL_PATH to CGI scripts

From: Felipe Contreras <[email-masked]>
Date: Tue, 18 Apr 2023 03:04:26 -0600

Jeff King wrote:
> On Thu, Apr 06, 2023 at 10:19:03AM +0200, Patrick Steinhardt wrote:
> 
> > > Does this fix the cases you saw, or are there others?
> > 
> > You know, let's just go with your patch. With PERL_PATH set it fixes all
> > the issues I have observed. At some point in time I saw more issues than
> > the one you fix here, but that's because my `config.mak` got lost
> > without me noticing. Oops, embarassing.
> 
> OK, that is good if there is nothing left to fix. :) Let us know if any
> of the others pop up again.

For the record: I applied both patches and I can attest that Jeff's patch fixes
all the problems, rendering Patrick's patch unnecessary.

However, in my opinion Patrick's patch is still desirable and should be
applied, even though after Jeff's patch it doesn't fix anything.

It's just a good practice.

Cheers.

-- 
Felipe Contreras